/**
* 文件：TableIndexEntity.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.table.model;

import java.util.Date;

import com.mortals.framework.model.BaseEntityLong;

/**
 * <p>Title: 分表索引信息</p>
 * <p>Description: TableIndexEntity  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class TableIndexEntity extends BaseEntityLong{
	private static final long serialVersionUID = 1547777703369L;
	
	/** 表名称 */
	private String tableName;

	/** 表标识 */
	private String tableMark;

	/** 创建时间 */
	private Date createTime;


	public TableIndexEntity(){
		
	}
	/**
	 * 获取 表名称
	 * @return tableName
	 */
	public String getTableName(){
		return this.tableName;
	}

	/**
	 * 设置 表名称
	 * @param tableName
	 */
	public void setTableName(String tableName){
		this.tableName = tableName;
	}

	/**
	 * 获取 表标识
	 * @return tableMark
	 */
	public String getTableMark(){
		return this.tableMark;
	}

	/**
	 * 设置 表标识
	 * @param tableMark
	 */
	public void setTableMark(String tableMark){
		this.tableMark = tableMark;
	}

	/**
	 * 获取 创建时间
	 * @return createTime
	 */
	public Date getCreateTime(){
		return this.createTime;
	}

	/**
	 * 设置 创建时间
	 * @param createTime
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}


	@Override
	public int hashCode() {
		return this.getId().hashCode();
	}
	@Override
	public boolean equals(Object obj) {
		if (obj == null)
			return false;
		if (obj instanceof TableIndexEntity) {
			TableIndexEntity tmp = (TableIndexEntity) obj;
			if (this.getId().longValue() == tmp.getId().longValue()) {
				return true;
			}
		}
		return false;
	}
	public String toString(){
		StringBuilder sb = new StringBuilder("");
		sb.append("id:").append(getId())
		  .append(",tableName:").append(getTableName())
		  .append(",tableMark:").append(getTableMark())
		  .append(",createTime:").append(getCreateTime());
		return sb.toString();
	}
	public void initAttrValue(){
		this.tableName = null;
		this.tableMark = null;
		this.createTime = null;
	}
}